unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, OleServer, Sendsms_TLB, ComCtrls;

type
  TForm1 = class(TForm)
    ozEasySMS1: TozEasySMS;
    Button1: TButton;
    Button2: TButton;
    Memo1: TMemo;
    Bevel1: TBevel;
    Bevel2: TBevel;
    Button3: TButton;
    Edit1: TEdit;
    Label1: TLabel;
    Memo2: TMemo;
    Bevel3: TBevel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    StatusBar1: TStatusBar;
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure ozEasySMS1MessageReceived(Sender: TObject;
      var senderPhoneNum, messagetext: OleVariant);
    procedure ozEasySMS1Error(Sender: TObject; errorCode: Integer;
      var errorMessage: OleVariant; errorparam: Integer);
    procedure ozEasySMS1ServerStarted(Sender: TObject);
    procedure ozEasySMS1ServerStopped(Sender: TObject);
    procedure ozEasySMS1MessageSent(Sender: TObject;
      var messageId: OleVariant);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
ozEasySMS1.startserver;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
ozEasySMS1.stopServer;
end;

procedure TForm1.Button2Click(Sender: TObject);
var phonenum, msg, msgid : olevariant;
begin
phonenum:=Edit1.text;
msg := Memo1.Text;
msgid := ozEasySMS1.sendMessage(phonenum,msg);
end;

procedure TForm1.ozEasySMS1MessageReceived(Sender: TObject;
  var senderPhoneNum, messagetext: OleVariant);
var
   s: string;
begin
s := senderPhoneNum+' '+messagetext;
Memo2.Lines.Add(s);
end;

procedure TForm1.ozEasySMS1Error(Sender: TObject; errorCode: Integer;
  var errorMessage: OleVariant; errorparam: Integer);
var s : string;
begin
s := errorMessage;
Statusbar1.Panels[0].Text := s;
end;

procedure TForm1.ozEasySMS1ServerStarted(Sender: TObject);
begin
Statusbar1.Panels[0].Text := 'Server started';
end;

procedure TForm1.ozEasySMS1ServerStopped(Sender: TObject);
begin
Statusbar1.Panels[0].Text := 'Server stopped';
end;

procedure TForm1.ozEasySMS1MessageSent(Sender: TObject;
  var messageId: OleVariant);
begin
  Statusbar1.Panels[0].Text := 'Message sent (id:'+intToStr(messageId)+')';
end;

end.
